| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Static Protected Attributes | Properties | Private Member Functions | Private Attributes | List of all members
IG.Num.RealFunctionOneParametric Class Reference

Base class for one parametric families of real-valued functions of single variable. Parameters that completely define the function out of parametric family of functions can be queried or set. More...

Inheritance diagram for IG.Num.RealFunctionOneParametric:
[legend]
Collaboration diagram for IG.Num.RealFunctionOneParametric:
[legend]

## Public Member Functions
| RealFunctionOneParametric (double parameter)
| Cobnstructor. Creates a new one parametric function with the specified parameter. More...
| RealFunctionOneParametric (IVector parameters)
| Cobnstructor. Creates a new one parametric function with the specified parameters. More...
override double[] | GetParameters ()
| Returns parameters of the current parametric function as an array. Since this class is for one parametric family of functions, an array of length 1 is always returned. More...
override void | SetParameters (double[] parameters)
| Sets parameters of the current parametric functions, where parameters are specified as array. More...
override double | GetParameter (int which)
| Returns value of the specified parameter of the parameterized function. More...
override void | SetParameter (int which, double value)
| Sets the specific parameters of the parameterized function. More...
Public Member Functions inherited from IG.Num.RealFunctionParametricBase
| RealFunctionParametricBase (IVector parameters)
| Cobnstructor. Creates a new parametric real-valued functions of single variable with the specified parameters. More...
Public Member Functions inherited from IG.Num.RealFunctionBase
abstract double | Value (double x)
| Returns the value of this function at the specified parameter. More...
abstract double | Derivative (double x)
| Returns the first derivative of this function at the specified parameter. More...
abstract double | Derivative (double x, int order)
| Returns the derivative of the given order of this function at the specified parameter. More...
abstract bool | HigherDerivativeDefined (int order)
| Tells whether the derivative of the given order is defined for this function (by implementation, not mathematically) More...
abstract double | SecondDerivative (double x)
| Returns the second derivative of the given order of this function at the specified arameter. More...
abstract double | Integral (double x)
| Returns integral from 0 to x of the function. Throws an exception if the integral is not defined. More...
abstract double | Inverse (double y)
| Returns Inverse of the current function applied to function argument. Throws an exception if the inverse function is not defined. More...
void | Tabulate (double from, double to, int numPoints)
| Tabulates the current function and its first and second derivatives (when available) on the specified interval, in the specified number of points. More...
void | Tabulate (double from, double to, int numPoints, bool printDerivatives)
| Tabulates the current function and its first and eventually second derivatives (when available) on the specified interval, in the specified number of points. More...
void | Tabulate (double from, double to, int numPoints, bool printDerivatives, bool printSecondDerivatives)
| Tabulates the current function and eventually its first and second derivatives (when available) on the specified interval, in the specified number of points. More...
virtual double | NumericalIntegral (double from, double to, int numintervals)
| Calculates numerical integral of this function. Simpson's formula is used. More...
virtual double | NumericalDerivative (double x, double stepsize)
| Calculates numerical derivative of this function. Central difference formula is used. More...
virtual double | NumericalSecondDerivative (double x, double stepsize)
| Calculates numerical second order derivative of this function. Central difference formula is used. More...
virtual void | Test ()
| Performs numerical tests with parameters adjusted for specific function. This function can be be overridden in derived classes, however its current implementation may be relatively well suited for most weighting and basic functions. More...
virtual void | Test (double from, double to, int numProbes, double stepSize, double tolerance)
| Performs some numerical tests on the current function, such as correctness of first and second derivatives, integral and inverse of the function. Results are written to the standard output. Whenever a numerical result does not match the corresponding analytical value calculated by the function, a visible notification is written. More...
override string | ToString ()

## Static Protected Attributes
static Vector | _parAux = new Vector(1)
| Auxiliary vector whose only function is to enable calling base constructors with parameters specified as vector. More...

## Properties
override IVector | Parameters`[get, set]`
| Gets or sets parameters that define the specific function out of parametric familiy of functions. Usually a reference is set or returned. More...
virtual double | Parameter`[get, set]`
| Gets or sets the (only) parameter that defines the current function out of parametric family of functions. More...
override int | NumParameters`[get]`
| Gets number of parameters that define the current function out of parametric family of functions. Always evaluates to 1 because this is a one parametric family of functions. More...
Properties inherited from IG.Num.RealFunctionParametricBase
abstract IVector | Parameters`[get, set]`
| Gets or sets parameters that define the specific function out of parametric familiy of functions. Usually a reference is set or returned. More...
virtual int | NumParameters`[get]`
| Gets number of parameters that define the current function out of parametric family of functions. More...
Properties inherited from IG.Num.RealFunctionBase
virtual string | Name`[get, set]`
| Returns a short name of thecurrent function. More...
virtual string | Description`[get, set]`
| Returns a short description of the current function. More...
virtual RealFunctionBase | DerivativeFunction`[get]`
| Returns a function object that represents a derivative of this function. Returns null if this is not implemented. More...
virtual RealFunctionBase | IntegralFunction`[get]`
| Returns a function object that represents a definite integral of this function from 0 to 1. Returns null if not implemented. More...
virtual RealFunctionBase | InverseFunction`[get]`
| Returns a function object that represents an inverse function of this function. Returns null if not implemented. More...
abstract bool | ValueDefined`[get, set]`
| Tells whether value of the function is defined by implementation. More...
abstract bool | DerivativeDefined`[get, set]`
| Tells whether the first derivative is defined for this function (by implementation, not mathematically) More...
abstract bool | SecondDerivativeDefined`[get, set]`
| Tells whether the second derivative is defined for this function (by implementation, not mathematically) More...
abstract bool | IntegralDefined`[get, set]`
| Tells whether analytical itegral of the function is defined or not. More...
abstract bool | InverseDefined`[get, set]`
| Tells whether analytical inverse function is defined or not. More...
Properties inherited from IG.Num.IRealFunction
string | Name`[get]`
| Returns a short name of the function. More...
string | Description`[get]`
| Returns a short description of the function. More...
bool | ValueDefined`[get]`
| Tells whether value of the function is defined by implementation. More...
bool | DerivativeDefined`[get]`
| Tells whether the first derivative is defined for this function (by implementation, not mathematically) More...
bool | SecondDerivativeDefined`[get]`
| Tells whether the second derivative is defined for this function (by implementation, not mathematically) More...
bool | IntegralDefined`[get]`
| Tells whether analytical itegral of the function is defined or not. More...
bool | InverseDefined`[get]`
| Tells whether analytical inverse function is defined or not. More...
Properties inherited from IG.Num.IRealFunctionParametric
IVector | Parameters`[get, set]`
| Parameters that define the specific function out of parametric familiy of functions. More...
int | NumParameters`[get]`
| Gets number of parameters that define the specific function out of parametric family of functions. More...
Properties inherited from IG.Num.IRealFunctionOneParametric
double | Parameter`[get, set]`
| Gets or sets the (only) parameter that defines the current function out of one parametric family of functions. More...

## Private Member Functions
| RealFunctionOneParametric ()
| Default constructor is inaccessible because it has no meaning. More...

## Private Attributes
double | _parameter

## Additional Inherited Members
Static Public Member Functions inherited from IG.Num.RealFunctionBase
static void | ExampleTests ()
Protected Attributes inherited from IG.Num.RealFunctionBase
string | _name
string | _description

## Detailed Description

Base class for one parametric families of real-valued functions of single variable. Parameters that completely define the function out of parametric family of functions can be queried or set.

This base class does not implement data containing parameters. This enables to derive base classes with different representations of parameters, e.g. with only one number for one parametric functions.

$A Igor Dec10;

## Constructor & Destructor Documentation

IG.Num.RealFunctionOneParametric.RealFunctionOneParametric | ( |  | ) |
| inline private

Default constructor is inaccessible because it has no meaning.

IG.Num.RealFunctionOneParametric.RealFunctionOneParametric | ( | double | parameter | ) |
| inline

Cobnstructor. Creates a new one parametric function with the specified parameter.

Parameters

  parameter | Parameter that define a specific function out of a parametric family of functions.

IG.Num.RealFunctionOneParametric.RealFunctionOneParametric | ( | IVector | parameters | ) |
| inline

Cobnstructor. Creates a new one parametric function with the specified parameters.

Parameters

  parameters | Vector of parameters that define a specific function out of a parametric family of functions.

## Member Function Documentation

override double [] IG.Num.RealFunctionOneParametric.GetParameters | ( |  | ) |
| inline

Returns parameters of the current parametric function as an array. Since this class is for one parametric family of functions, an array of length 1 is always returned.

Implements IG.Num.IRealFunctionParametric.

override void IG.Num.RealFunctionOneParametric.SetParameters | ( | double[] | parameters | ) |
| inline

Sets parameters of the current parametric functions, where parameters are specified as array.

Parameters

  parameters | Array of parameters. Array length must be 1 because this class represents a one parametric family..

Implements IG.Num.IRealFunctionParametric.

override double IG.Num.RealFunctionOneParametric.GetParameter | ( | int | which | ) |
| inline

Returns value of the specified parameter of the parameterized function.

Parameters

  which | Specifies which parameter is returned, must be 0 because this class represents a one parametric family of functions.

Implements IG.Num.IRealFunctionParametric.

override void IG.Num.RealFunctionOneParametric.SetParameter | ( | int | which,
|  | double | value
| ) |  |
| inline

Sets the specific parameters of the parameterized function.

Parameters

  which | Specifies which parameter is set, must be 0 because this class represents a one parametric family of functions.
  value | Value of the specified parameter.

Implements IG.Num.IRealFunctionParametric.

## Member Data Documentation

Vector IG.Num.RealFunctionOneParametric._parAux = new Vector(1)
| static protected

Auxiliary vector whose only function is to enable calling base constructors with parameters specified as vector.

double IG.Num.RealFunctionOneParametric._parameter
| private

## Property Documentation

override IVector IG.Num.RealFunctionOneParametric.Parameters
| get set

Gets or sets parameters that define the specific function out of parametric familiy of functions. Usually a reference is set or returned.

virtual double IG.Num.RealFunctionOneParametric.Parameter
| get set

Gets or sets the (only) parameter that defines the current function out of parametric family of functions.

override int IG.Num.RealFunctionOneParametric.NumParameters
| get

Gets number of parameters that define the current function out of parametric family of functions. Always evaluates to 1 because this is a one parametric family of functions.

The documentation for this class was generated from the following file:

- igbase/numeric/FunctionRealParametric.cs